%global debug_package %{nil}

Name:           ublue-fastfetch
Version:        homebrew.2025.03.18.01.29.44
Release:        1.20250318194319101278.pr293.7.gd57147a%{?dist}
Summary:        Fastfetch configuration for Universal Blue systems

License:        Apache-2.0
URL:            https://github.com/ublue-os/packages
VCS:            git+https://github.com/ublue-os/packages#d57147a7a1934d18d5a16493c38f19ce6ad48eb1:packages/ublue-fastfetch
Source:         packages-homebrew.2025.03.18.01.29.44.tar.gz

Requires:       fastfetch

%description
Fastfetch configuration for Universal Blue systems

%prep
%setup -T -b 0 -q -n packages-homebrew.2025.03.18.01.29.44

%install
install -Dm0755 ./src/%{name} %{buildroot}%{_libexecdir}/%{name}
install -Dm0755 ./src/ublue-bling-fastfetch %{buildroot}%{_libexecdir}/ublue-bling-fastfetch
install -Dm0755 ./src/vendor.sh %{buildroot}%{_sysconfdir}/profile.d/%{name}.sh
install -Dm0755 ./src/vendor.fish %{buildroot}%{_datadir}/fish/vendor_conf.d/%{name}.fish

%files
%{_libexecdir}/%{name}
%{_libexecdir}/ublue-bling-fastfetch
%{_sysconfdir}/profile.d/%{name}.sh
%{_datadir}/fish/vendor_conf.d/%{name}.fish

%changelog
%autochangelog
